Package com.clickhouse.jdbc

## Class JdbcTypeMapping

- java.lang.Object
- - com.clickhouse.jdbc.JdbcTypeMapping

    public final class JdbcTypeMapping
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static com.clickhouse.client.ClickHouseDataType` `fromJdbcType​(int jdbcType)`
`static com.clickhouse.client.ClickHouseColumn` `fromJdbcType​(int jdbcType, int scaleOrLength)`
`static Class<?>` `toJavaClass​(Map<String,​Class<?>> typeMap, com.clickhouse.client.ClickHouseColumn column)` Gets Java class for the given column.
`static int` `toJdbcType​(Class<?> javaClass)` Gets corresponding JDBC type for the given Java class.
`static int` `toJdbcType​(Map<String,​Class<?>> typeMap, com.clickhouse.client.ClickHouseColumn column)` Gets corresponding JDBC type for the given column.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toJdbcType

    public static int toJdbcType​(Class<?> javaClass)

Gets corresponding JDBC type for the given Java class.

Parameters:
  `javaClass` - non-null Java class
Returns:
  JDBC type

#### toJdbcType

    public static int toJdbcType​(Map<String,​Class<?>> typeMap,
                                 com.clickhouse.client.ClickHouseColumn column)

Gets corresponding JDBC type for the given column.

Parameters:
  `typeMap` - type mappings, could be null
  `column` - non-null column definition
Returns:
  JDBC type

#### toJavaClass

    public static Class<?> toJavaClass​(Map<String,​Class<?>> typeMap,
                                       com.clickhouse.client.ClickHouseColumn column)

Gets Java class for the given column.

Parameters:
  `typeMap` - type mappings, could be null
  `column` - non-null column definition
Returns:
  Java class for the column

#### fromJdbcType

    public static com.clickhouse.client.ClickHouseColumn fromJdbcType​(int jdbcType,
                                                                      int scaleOrLength)

#### fromJdbcType

    public static com.clickhouse.client.ClickHouseDataType fromJdbcType​(int jdbcType)